## freediams 0.4.2

=== Makefile ===
#############################################################################
# Makefile for building: freediams
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:01:00 2010
# Project:  freediams.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-freediams-libs \
		sub-freediams-plugins \
		sub-freediams

freediams/libs//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) freediams/libs/ || $(MKDIR) freediams/libs/ 
	cd freediams/libs/ && $(QMAKE) libs.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams-libs-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) freediams/libs/ || $(MKDIR) freediams/libs/ 
	cd freediams/libs/ && $(QMAKE) libs.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams-libs: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE)
sub-freediams-libs-make_default-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-libs-make_default: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-libs-make_first-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-libs-make_first: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-libs-all-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-libs-all: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-libs-clean-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-libs-clean: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-libs-distclean-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-libs-distclean: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-libs-install_subtargets-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-libs-install_subtargets: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-libs-uninstall_subtargets-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-freediams-libs-uninstall_subtargets: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) uninstall
freediams/plugins//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) freediams/plugins/ || $(MKDIR) freediams/plugins/ 
	cd freediams/plugins/ && $(QMAKE) plugins.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams-plugins-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) freediams/plugins/ || $(MKDIR) freediams/plugins/ 
	cd freediams/plugins/ && $(QMAKE) plugins.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams-plugins: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE)
sub-freediams-plugins-make_default-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-make_default-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-plugins-make_default: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-plugins-make_first-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-make_first-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-plugins-make_first: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-plugins-all-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-all-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-plugins-all: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-plugins-clean-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-clean-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-plugins-clean: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-plugins-distclean-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-distclean-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-plugins-distclean: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-plugins-install_subtargets-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-install_subtargets-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-plugins-install_subtargets: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-plugins-uninstall_subtargets-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-uninstall_subtargets-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-freediams-plugins-uninstall_subtargets: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) uninstall
freediams//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) freediams/ || $(MKDIR) freediams/ 
	cd freediams/ && $(QMAKE) freediams.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) freediams/ || $(MKDIR) freediams/ 
	cd freediams/ && $(QMAKE) freediams.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE)
sub-freediams-make_default-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-make_default-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-make_default: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-make_first-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-make_first-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-make_first: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-all-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-all-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-all: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-clean-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-clean-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-clean: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-distclean-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-distclean-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-distclean: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-install_subtargets-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-install_subtargets-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-install_subtargets: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-uninstall_subtargets-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-uninstall_subtargets-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-freediams-uninstall_subtargets: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: freediams.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		checkqtversion.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
checkqtversion.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro

qmake_all: sub-freediams-libs-qmake_all sub-freediams-plugins-qmake_all sub-freediams-qmake_all FORCE

make_default: sub-freediams-libs-make_default-ordered sub-freediams-plugins-make_default-ordered sub-freediams-make_default-ordered FORCE
make_first: sub-freediams-libs-make_first-ordered sub-freediams-plugins-make_first-ordered sub-freediams-make_first-ordered FORCE
all: sub-freediams-libs-all-ordered sub-freediams-plugins-all-ordered sub-freediams-all-ordered FORCE
clean: sub-freediams-libs-clean-ordered sub-freediams-plugins-clean-ordered sub-freediams-clean-ordered FORCE
distclean: sub-freediams-libs-distclean-ordered sub-freediams-plugins-distclean-ordered sub-freediams-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-freediams-libs-install_subtargets-ordered sub-freediams-plugins-install_subtargets-ordered sub-freediams-install_subtargets-ordered FORCE
uninstall_subtargets: sub-freediams-libs-uninstall_subtargets-ordered sub-freediams-plugins-uninstall_subtargets-ordered sub-freediams-uninstall_subtargets-ordered FORCE

=== freediams/Makefile ===
#############################################################################
# Makefile for building: ../bin/freediams
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:01:00 2010
# Project:  freediams.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DBINARY_NAME="\"freediams\"" -DPACKAGE_VERSION="\"0.4.2\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams\"" -DRELEASE -DINSTALL_BINARY_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//bin\"" -DINSTALL_LIBS_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams\"" -DINSTALL_PLUGINS_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams\"" -DINSTALL_RESOURCES_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//share/freediams\"" -DINSTALL_DESKTOP_FILES_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//share/applications/\"" -DINSTALL_QT_PLUGINS_PATH="\"\"" -DFREEDIAMS -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I../plugins -I../libs -I../contrib -I/usr/X11R6/include -I../build/freediams/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lAggregation -lExtensionSystem -lTranslationUtils -lUtils -lXext -lX11 -lm -lpthread -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = cp -a
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../build/freediams/.obj/unix/

####### Files

SOURCES       = main.cpp 
OBJECTS       = ../build/freediams/.obj/unix/main.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../buildspecs/config_paths.pri \
		../buildspecs/config_linux.pri \
		../config.pri \
		../buildspecs/install_linux.pri \
		../buildspecs/install.pri \
		../libs/aggregation.pri \
		../libs/extensionsystem_dependencies.pri \
		../libs/extensionsystem.pri \
		../libs/translationutils.pri \
		../libs/utils_dependencies.pri \
		../libs/utils.pri \
		../libs/rpath.pri \
		../doc/manual-di.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		freediams.pro
QMAKE_TARGET  = freediams
DESTDIR       = ../bin/
TARGET        = ../bin/freediams

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): en_html_docs fr_html_docs $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: freediams.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../buildspecs/config_paths.pri \
		../buildspecs/config_linux.pri \
		../config.pri \
		../buildspecs/install_linux.pri \
		../buildspecs/install.pri \
		../libs/aggregation.pri \
		../libs/extensionsystem_dependencies.pri \
		../libs/extensionsystem.pri \
		../libs/translationutils.pri \
		../libs/utils_dependencies.pri \
		../libs/utils.pri \
		../libs/rpath.pri \
		../doc/manual-di.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../buildspecs/config_paths.pri:
../buildspecs/config_linux.pri:
../config.pri:
../buildspecs/install_linux.pri:
../buildspecs/install.pri:
../libs/aggregation.pri:
../libs/extensionsystem_dependencies.pri:
../libs/extensionsystem.pri:
../libs/translationutils.pri:
../libs/utils_dependencies.pri:
../libs/utils.pri:
../libs/rpath.pri:
../doc/manual-di.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro

dist: 
	@$(CHK_DIR_EXISTS) ../build/freediams/.obj/unix/freediams1.0.0 || $(MKDIR) ../build/freediams/.obj/unix/freediams1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../build/freediams/.obj/unix/freediams1.0.0/ && $(COPY_FILE) --parents main.cpp ../build/freediams/.obj/unix/freediams1.0.0/ && (cd `dirname ../build/freediams/.obj/unix/freediams1.0.0` && $(TAR) freediams1.0.0.tar freediams1.0.0 && $(COMPRESS) freediams1.0.0.tar) && $(MOVE) `dirname ../build/freediams/.obj/unix/freediams1.0.0`/freediams1.0.0.tar.gz . && $(DEL_FILE) -r ../build/freediams/.obj/unix/freediams1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


en_html_docs:
	/usr/bin/doxygen /home/eric/Bureau/pack/freediams-0.4.2/doc/usermanual/freediams/Doxyfile_en

fr_html_docs:
	/usr/bin/doxygen /home/eric/Bureau/pack/freediams-0.4.2/doc/usermanual/freediams/Doxyfile_fr

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

../build/freediams/.obj/unix/main.o: main.cpp ../libs/extensionsystem/pluginmanager.h \
		../libs/extensionsystem/extensionsystem_global.h \
		../libs/aggregation/aggregate.h \
		../libs/aggregation/aggregation_global.h \
		../libs/extensionsystem/pluginspec.h \
		../libs/extensionsystem/iplugin.h \
		../libs/utils/log.h \
		../libs/utils/global_exporter.h \
		../libs/utils/database.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/freediams/.obj/unix/main.o main.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//bin/ || $(MKDIR) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//bin/ 
	-$(INSTALL_PROGRAM) "../bin/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//bin/ 


install_applibs: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams/ || $(MKDIR) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams/ 
	-$(INSTALL_FILE) /home/eric/Bureau/pack/freediams-0.4.2/bin/plugins/*so*.1 $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams/


uninstall_applibs:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams/*so*.1
	-$(DEL_DIR) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams/ 


install_plugs: first FORCE

=== contrib/quazip/Makefile ===
#############################################################################
# Makefile for building: quazip
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:56 2010
# Project:  quazip.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile quazip.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-quazip

quazip//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) quazip/ || $(MKDIR) quazip/ 
	cd quazip/ && $(QMAKE) quazip.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-quazip-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) quazip/ || $(MKDIR) quazip/ 
	cd quazip/ && $(QMAKE) quazip.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-quazip: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE)
sub-quazip-make_default: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) 
sub-quazip-make_first: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) first
sub-quazip-all: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) all
sub-quazip-clean: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) clean
sub-quazip-distclean: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) distclean
sub-quazip-install_subtargets: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) install
sub-quazip-uninstall_subtargets: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: quazip.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile quazip.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile quazip.pro

qmake_all: sub-quazip-qmake_all FORCE

make_default: sub-quazip-make_default FORCE
make_first: sub-quazip-make_first FORCE
all: sub-quazip-all FORCE
clean: sub-quazip-clean FORCE
distclean: sub-quazip-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-quazip-install_subtargets FORCE
uninstall_subtargets: sub-quazip-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== freediams/libs/Makefile ===
#############################################################################
# Makefile for building: libs
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:56 2010
# Project:  libs.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile libs.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-------libs-aggregation \
		sub-------libs-extensionsystem \
		sub-------libs-translationutils \
		sub-------libs-utils \
		sub-------libs-medintuxutils \
		sub-------libs-medicalutils \
		sub-------contrib-quazip

../../libs/aggregation//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../libs/aggregation/ || $(MKDIR) ../../libs/aggregation/ 
	cd ../../libs/aggregation/ && $(QMAKE) aggregation.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-aggregation-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../libs/aggregation/ || $(MKDIR) ../../libs/aggregation/ 
	cd ../../libs/aggregation/ && $(QMAKE) aggregation.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-aggregation: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE)
sub-------libs-aggregation-make_default-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-aggregation-make_default: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-aggregation-make_first-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-aggregation-make_first: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-aggregation-all-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-aggregation-all: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-aggregation-clean-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-aggregation-clean: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-aggregation-distclean-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-aggregation-distclean: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-aggregation-install_subtargets-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-aggregation-install_subtargets: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-aggregation-uninstall_subtargets-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-------libs-aggregation-uninstall_subtargets: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) uninstall
../../libs/extensionsystem//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../libs/extensionsystem/ || $(MKDIR) ../../libs/extensionsystem/ 
	cd ../../libs/extensionsystem/ && $(QMAKE) extensionsystem.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-extensionsystem-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../libs/extensionsystem/ || $(MKDIR) ../../libs/extensionsystem/ 
	cd ../../libs/extensionsystem/ && $(QMAKE) extensionsystem.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-extensionsystem: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE)
sub-------libs-extensionsystem-make_default-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-make_default-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-extensionsystem-make_default: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-extensionsystem-make_first-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-make_first-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-extensionsystem-make_first: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-extensionsystem-all-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-all-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-extensionsystem-all: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-extensionsystem-clean-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-clean-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-extensionsystem-clean: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-extensionsystem-distclean-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-distclean-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-extensionsystem-distclean: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-extensionsystem-install_subtargets-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-install_subtargets-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-extensionsystem-install_subtargets: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-extensionsystem-uninstall_subtargets-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-uninstall_subtargets-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-------libs-extensionsystem-uninstall_subtargets: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) uninstall
../../libs/translationutils//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../libs/translationutils/ || $(MKDIR) ../../libs/translationutils/ 
	cd ../../libs/translationutils/ && $(QMAKE) translationutils.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-translationutils-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../libs/translationutils/ || $(MKDIR) ../../libs/translationutils/ 
	cd ../../libs/translationutils/ && $(QMAKE) translationutils.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-translationutils: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE)
sub-------libs-translationutils-make_default-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-make_default-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-translationutils-make_default: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-translationutils-make_first-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-make_first-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-translationutils-make_first: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-translationutils-all-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-all-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-translationutils-all: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-translationutils-clean-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-clean-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-translationutils-clean: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-translationutils-distclean-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-distclean-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-translationutils-distclean: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-translationutils-install_subtargets-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-install_subtargets-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-translationutils-install_subtargets: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-translationutils-uninstall_subtargets-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-uninstall_subtargets-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-------libs-translationutils-uninstall_subtargets: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) uninstall
../../libs/utils//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../libs/utils/ || $(MKDIR) ../../libs/utils/ 
	cd ../../libs/utils/ && $(QMAKE) utils.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-utils-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../libs/utils/ || $(MKDIR) ../../libs/utils/ 
	cd ../../libs/utils/ && $(QMAKE) utils.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-utils: ../../libs/utils//$(MAKEFILE) FORCE
	cd ../../libs/utils/ && $(MAKE) -f $(MAKEFILE)
sub-------libs-utils-make_default-ordered: ../../libs/utils//$(MAKEFILE) sub-------libs-translationutils-make_default-ordered  FORCE
	cd ../../libs/utils/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-utils-make_default: ../../libs/utils//$(MAKEFILE) FORCE
	cd ../../libs/utils/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-utils-make_first-ordered: ../../libs/utils//$(MAKEFILE) sub-------libs-translationutils-make_first-ordered  FORCE
	cd ../../libs/utils/ && $(MAKE) -f $(MAKEFILE) first

=== freediams/plugins/Makefile ===
#############################################################################
# Makefile for building: plugins
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:01:00 2010
# Project:  plugins.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile plugins.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-------plugins-fdcoreplugin \
		sub-------plugins-fdmainwindowplugin \
		sub-fdprinterplugin \
		sub-fdtexteditorplugin \
		sub-fddrugsplugin \
		sub-fddrugsbaseplugin \
		sub-------plugins-templatesplugin \
		sub-------plugins-listviewplugin \
		sub-------plugins-saverestoreplugin

../../plugins/fdcoreplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../plugins/fdcoreplugin/ || $(MKDIR) ../../plugins/fdcoreplugin/ 
	cd ../../plugins/fdcoreplugin/ && $(QMAKE) fdcoreplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------plugins-fdcoreplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../plugins/fdcoreplugin/ || $(MKDIR) ../../plugins/fdcoreplugin/ 
	cd ../../plugins/fdcoreplugin/ && $(QMAKE) fdcoreplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------plugins-fdcoreplugin: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE)
sub-------plugins-fdcoreplugin-make_default: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-------plugins-fdcoreplugin-make_first: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) first
sub-------plugins-fdcoreplugin-all: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) all
sub-------plugins-fdcoreplugin-clean: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-------plugins-fdcoreplugin-distclean: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------plugins-fdcoreplugin-install_subtargets: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) install
sub-------plugins-fdcoreplugin-uninstall_subtargets: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) uninstall
../../plugins/fdmainwindowplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../plugins/fdmainwindowplugin/ || $(MKDIR) ../../plugins/fdmainwindowplugin/ 
	cd ../../plugins/fdmainwindowplugin/ && $(QMAKE) fdmainwindowplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------plugins-fdmainwindowplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../plugins/fdmainwindowplugin/ || $(MKDIR) ../../plugins/fdmainwindowplugin/ 
	cd ../../plugins/fdmainwindowplugin/ && $(QMAKE) fdmainwindowplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------plugins-fdmainwindowplugin: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin \
		sub-fddrugsplugin \
		sub-fdprinterplugin \
		sub-------plugins-templatesplugin FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE)
sub-------plugins-fdmainwindowplugin-make_default: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_default sub-fddrugsplugin-make_default sub-fdprinterplugin-make_default sub-------plugins-templatesplugin-make_default FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-------plugins-fdmainwindowplugin-make_first: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_first sub-fddrugsplugin-make_first sub-fdprinterplugin-make_first sub-------plugins-templatesplugin-make_first FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) first
sub-------plugins-fdmainwindowplugin-all: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-all sub-fddrugsplugin-all sub-fdprinterplugin-all sub-------plugins-templatesplugin-all FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) all
sub-------plugins-fdmainwindowplugin-clean: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-clean sub-fddrugsplugin-clean sub-fdprinterplugin-clean sub-------plugins-templatesplugin-clean FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-------plugins-fdmainwindowplugin-distclean: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-distclean sub-fddrugsplugin-distclean sub-fdprinterplugin-distclean sub-------plugins-templatesplugin-distclean FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------plugins-fdmainwindowplugin-install_subtargets: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-install_subtargets sub-fddrugsplugin-install_subtargets sub-fdprinterplugin-install_subtargets sub-------plugins-templatesplugin-install_subtargets FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) install
sub-------plugins-fdmainwindowplugin-uninstall_subtargets: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-uninstall_subtargets sub-fddrugsplugin-uninstall_subtargets sub-fdprinterplugin-uninstall_subtargets sub-------plugins-templatesplugin-uninstall_subtargets FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) uninstall
fdprinterplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) fdprinterplugin/ || $(MKDIR) fdprinterplugin/ 
	cd fdprinterplugin/ && $(QMAKE) fdprinterplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fdprinterplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) fdprinterplugin/ || $(MKDIR) fdprinterplugin/ 
	cd fdprinterplugin/ && $(QMAKE) fdprinterplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fdprinterplugin: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin \
		sub-fdtexteditorplugin FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE)
sub-fdprinterplugin-make_default: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_default sub-fdtexteditorplugin-make_default FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-fdprinterplugin-make_first: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_first sub-fdtexteditorplugin-make_first FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) first
sub-fdprinterplugin-all: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-all sub-fdtexteditorplugin-all FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) all
sub-fdprinterplugin-clean: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-clean sub-fdtexteditorplugin-clean FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-fdprinterplugin-distclean: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-distclean sub-fdtexteditorplugin-distclean FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-fdprinterplugin-install_subtargets: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-install_subtargets sub-fdtexteditorplugin-install_subtargets FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) install
sub-fdprinterplugin-uninstall_subtargets: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-uninstall_subtargets sub-fdtexteditorplugin-uninstall_subtargets FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) uninstall
fdtexteditorplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) fdtexteditorplugin/ || $(MKDIR) fdtexteditorplugin/ 
	cd fdtexteditorplugin/ && $(QMAKE) fdtexteditorplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fdtexteditorplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) fdtexteditorplugin/ || $(MKDIR) fdtexteditorplugin/ 
	cd fdtexteditorplugin/ && $(QMAKE) fdtexteditorplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fdtexteditorplugin: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE)
sub-fdtexteditorplugin-make_default: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_default FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-fdtexteditorplugin-make_first: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_first FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) first
sub-fdtexteditorplugin-all: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-all FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) all
sub-fdtexteditorplugin-clean: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-clean FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-fdtexteditorplugin-distclean: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-distclean FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-fdtexteditorplugin-install_subtargets: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-install_subtargets FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) install
sub-fdtexteditorplugin-uninstall_subtargets: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-uninstall_subtargets FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) uninstall
fddrugsplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) fddrugsplugin/ || $(MKDIR) fddrugsplugin/ 
	cd fddrugsplugin/ && $(QMAKE) fddrugsplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fddrugsplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) fddrugsplugin/ || $(MKDIR) fddrugsplugin/ 
	cd fddrugsplugin/ && $(QMAKE) fddrugsplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fddrugsplugin: fddrugsplugin//$(MAKEFILE) sub-fddrugsbaseplugin \
		sub-------plugins-fdcoreplugin \
		sub-------plugins-listviewplugin \
		sub-fdtexteditorplugin \
		sub-------plugins-templatesplugin FORCE
	cd fddrugsplugin/ && $(MAKE) -f $(MAKEFILE)
sub-fddrugsplugin-make_default: fddrugsplugin//$(MAKEFILE) sub-fddrugsbaseplugin-make_default sub-------plugins-fdcoreplugin-make_default sub-------plugins-listviewplugin-make_default sub-fdtexteditorplugin-make_default sub-------plugins-templatesplugin-make_default FORCE
	cd fddrugsplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-fddrugsplugin-make_first: fddrugsplugin//$(MAKEFILE) sub-fddrugsbaseplugin-make_first sub-------plugins-fdcoreplugin-make_first sub-------plugins-listviewplugin-make_first sub-fdtexteditorplugin-make_first sub-------plugins-templatesplugin-make_first FORCE
	cd fddrugsplugin/ && $(MAKE) -f $(MAKEFILE) first

=== libs/aggregation/Makefile ===
#############################################################################
# Makefile for building: libAggregation.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:55 2010
# Project:  aggregation.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile aggregation.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DBINARY_NAME="\"Aggregation\"" -DPACKAGE_VERSION="\"\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/Aggregation\"" -DRELEASE -DAGGREGATION_LIBRARY -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/Aggregation/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1 -shared -Wl,-soname,libAggregation.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lXext -lX11 -lm -lpthread -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/Aggregation/.obj/unix/

####### Files

SOURCES       = aggregate.cpp ../../build/Aggregation/.moc/moc_aggregate.cpp
OBJECTS       = ../../build/Aggregation/.obj/unix/aggregate.o \
		../../build/Aggregation/.obj/unix/moc_aggregate.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		aggregation.pro
QMAKE_TARGET  = Aggregation
DESTDIR       = ../../bin/plugins/
TARGET        = libAggregation.so.1.0.0
TARGETA       = ../../bin/plugins/libAggregation.a
TARGETD       = libAggregation.so.1.0.0
TARGET0       = libAggregation.so
TARGET1       = libAggregation.so.1
TARGET2       = libAggregation.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET1)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../bin/plugins/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: aggregation.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile aggregation.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../buildspecs/config_paths.pri:
../../buildspecs/config_linux.pri:
../../config.pri:
../rpath.pri:
../libsworkbench.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile aggregation.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../build/Aggregation/.obj/unix/Aggregation1.0.0 || $(MKDIR) ../../build/Aggregation/.obj/unix/Aggregation1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../build/Aggregation/.obj/unix/Aggregation1.0.0/ && $(COPY_FILE) --parents aggregate.h aggregation_global.h ../../build/Aggregation/.obj/unix/Aggregation1.0.0/ && $(COPY_FILE) --parents aggregate.cpp ../../build/Aggregation/.obj/unix/Aggregation1.0.0/ && (cd `dirname ../../build/Aggregation/.obj/unix/Aggregation1.0.0` && $(TAR) Aggregation1.0.0.tar Aggregation1.0.0 && $(COMPRESS) Aggregation1.0.0.tar) && $(MOVE) `dirname ../../build/Aggregation/.obj/unix/Aggregation1.0.0`/Aggregation1.0.0.tar.gz . && $(DEL_FILE) -r ../../build/Aggregation/.obj/unix/Aggregation1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../bin/plugins/$(TARGET) 
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0) ../../bin/plugins/$(TARGET1) ../../bin/plugins/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../../build/Aggregation/.moc/moc_aggregate.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) ../../build/Aggregation/.moc/moc_aggregate.cpp
../../build/Aggregation/.moc/moc_aggregate.cpp: aggregation_global.h \
		aggregate.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aggregate.h -o ../../build/Aggregation/.moc/moc_aggregate.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

../../build/Aggregation/.obj/unix/aggregate.o: aggregate.cpp aggregate.h \
		aggregation_global.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/Aggregation/.obj/unix/aggregate.o aggregate.cpp

../../build/Aggregation/.obj/unix/moc_aggregate.o: ../../build/Aggregation/.moc/moc_aggregate.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/Aggregation/.obj/unix/moc_aggregate.o ../../build/Aggregation/.moc/moc_aggregate.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== libs/extensionsystem/Makefile ===
#############################################################################
# Makefile for building: libExtensionSystem.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:55 2010
# Project:  extensionsystem.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile extensionsystem.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DEXTENSIONSYSTEM_LIBRARY -DBINARY_NAME="\"ExtensionSystem\"" -DPACKAGE_VERSION="\"\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/ExtensionSystem\"" -DRELEASE -DIDE_TEST_DIR=\"\" -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/ExtensionSystem/.moc -I../../build/.ui
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1 -shared -Wl,-soname,libExtensionSystem.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lAggregation -ldl -lXext -lX11 -lm -lpthread -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/ExtensionSystem/.obj/unix/

####### Files

SOURCES       = pluginerrorview.cpp \
		plugindetailsview.cpp \
		iplugin.cpp \
		pluginmanager.cpp \
		pluginspec.cpp \
		pluginview.cpp \
		optionsparser.cpp ../../build/ExtensionSystem/.moc/moc_pluginerrorview.cpp \
		../../build/ExtensionSystem/.moc/moc_plugindetailsview.cpp \
		../../build/ExtensionSystem/.moc/moc_iplugin.cpp \
		../../build/ExtensionSystem/.moc/moc_pluginmanager.cpp \
		../../build/ExtensionSystem/.moc/moc_pluginspec_p.cpp \
		../../build/ExtensionSystem/.moc/moc_pluginview.cpp \
		../../build/ExtensionSystem/.rcc/qrc_pluginview.cpp
OBJECTS       = ../../build/ExtensionSystem/.obj/unix/pluginerrorview.o \
		../../build/ExtensionSystem/.obj/unix/plugindetailsview.o \
		../../build/ExtensionSystem/.obj/unix/iplugin.o \
		../../build/ExtensionSystem/.obj/unix/pluginmanager.o \
		../../build/ExtensionSystem/.obj/unix/pluginspec.o \
		../../build/ExtensionSystem/.obj/unix/pluginview.o \
		../../build/ExtensionSystem/.obj/unix/optionsparser.o \
		../../build/ExtensionSystem/.obj/unix/moc_pluginerrorview.o \
		../../build/ExtensionSystem/.obj/unix/moc_plugindetailsview.o \
		../../build/ExtensionSystem/.obj/unix/moc_iplugin.o \
		../../build/ExtensionSystem/.obj/unix/moc_pluginmanager.o \
		../../build/ExtensionSystem/.obj/unix/moc_pluginspec_p.o \
		../../build/ExtensionSystem/.obj/unix/moc_pluginview.o \
		../../build/ExtensionSystem/.obj/unix/qrc_pluginview.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../aggregation.pri \
		../extensionsystem_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		extensionsystem.pro
QMAKE_TARGET  = ExtensionSystem
DESTDIR       = ../../bin/plugins/
TARGET        = libExtensionSystem.so.1.0.0
TARGETA       = ../../bin/plugins/libExtensionSystem.a
TARGETD       = libExtensionSystem.so.1.0.0
TARGET0       = libExtensionSystem.so
TARGET1       = libExtensionSystem.so.1
TARGET2       = libExtensionSystem.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET): ../../build/.ui/ui_pluginview.h ../../build/.ui/ui_pluginerrorview.h ../../build/.ui/ui_plugindetailsview.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET1)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../bin/plugins/



staticlib: $(TARGETA)

$(TARGETA): ../../build/.ui/ui_pluginview.h ../../build/.ui/ui_pluginerrorview.h ../../build/.ui/ui_plugindetailsview.h $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: extensionsystem.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../aggregation.pri \
		../extensionsystem_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile extensionsystem.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../buildspecs/config_paths.pri:
../../buildspecs/config_linux.pri:
../../config.pri:
../rpath.pri:
../libsworkbench.pri:
../aggregation.pri:
../extensionsystem_dependencies.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile extensionsystem.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0 || $(MKDIR) ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0/ && $(COPY_FILE) --parents pluginerrorview.h plugindetailsview.h iplugin.h iplugin_p.h extensionsystem_global.h pluginmanager.h pluginmanager_p.h pluginspec.h pluginspec_p.h pluginview.h pluginview_p.h optionsparser.h ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0/ && $(COPY_FILE) --parents pluginview.qrc ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0/ && $(COPY_FILE) --parents pluginerrorview.cpp plugindetailsview.cpp iplugin.cpp pluginmanager.cpp pluginspec.cpp pluginview.cpp optionsparser.cpp ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0/ && $(COPY_FILE) --parents pluginview.ui pluginerrorview.ui plugindetailsview.ui ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0/ && (cd `dirname ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0` && $(TAR) ExtensionSystem1.0.0.tar ExtensionSystem1.0.0 && $(COMPRESS) ExtensionSystem1.0.0.tar) && $(MOVE) `dirname ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0`/ExtensionSystem1.0.0.tar.gz . && $(DEL_FILE) -r ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../bin/plugins/$(TARGET) 
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0) ../../bin/plugins/$(TARGET1) ../../bin/plugins/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../../build/ExtensionSystem/.moc/moc_pluginerrorview.cpp ../../build/ExtensionSystem/.moc/moc_plugindetailsview.cpp ../../build/ExtensionSystem/.moc/moc_iplugin.cpp ../../build/ExtensionSystem/.moc/moc_pluginmanager.cpp ../../build/ExtensionSystem/.moc/moc_pluginspec_p.cpp ../../build/ExtensionSystem/.moc/moc_pluginview.cpp
compiler_moc_header_clean:

=== libs/medicalutils/Makefile ===
#############################################################################
# Makefile for building: libMedicalUtils.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:56 2010
# Project:  medicalutils.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medicalutils.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMEDICALUTILS_LIBRARY -DBINARY_NAME="\"MedicalUtils\"" -DPACKAGE_VERSION="\"0.0.2\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/MedicalUtils\"" -DRELEASE -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/MedicalUtils/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1 -shared -Wl,-soname,libMedicalUtils.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lTranslationUtils -lXext -lX11 -lm -lpthread -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/MedicalUtils/.obj/unix/

####### Files

SOURCES       = aggir/girscore.cpp \
		global.cpp 
OBJECTS       = ../../build/MedicalUtils/.obj/unix/girscore.o \
		../../build/MedicalUtils/.obj/unix/global.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		aggir/aggir.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		medicalutils.pro
QMAKE_TARGET  = MedicalUtils
DESTDIR       = ../../bin/plugins/
TARGET        = libMedicalUtils.so.1.0.0
TARGETA       = ../../bin/plugins/libMedicalUtils.a
TARGETD       = libMedicalUtils.so.1.0.0
TARGET0       = libMedicalUtils.so
TARGET1       = libMedicalUtils.so.1
TARGET2       = libMedicalUtils.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET1)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../bin/plugins/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: medicalutils.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		aggir/aggir.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medicalutils.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../buildspecs/config_paths.pri:
../../buildspecs/config_linux.pri:
../../config.pri:
../rpath.pri:
../libsworkbench.pri:
../translationutils.pri:
aggir/aggir.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medicalutils.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0 || $(MKDIR) ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0/ && $(COPY_FILE) --parents aggir/girscore.h global.h medical_exporter.h ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0/ && $(COPY_FILE) --parents aggir/girscore.cpp global.cpp ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0/ && (cd `dirname ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0` && $(TAR) MedicalUtils1.0.0.tar MedicalUtils1.0.0 && $(COMPRESS) MedicalUtils1.0.0.tar) && $(MOVE) `dirname ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0`/MedicalUtils1.0.0.tar.gz . && $(DEL_FILE) -r ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../bin/plugins/$(TARGET) 
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0) ../../bin/plugins/$(TARGET1) ../../bin/plugins/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

../../build/MedicalUtils/.obj/unix/girscore.o: aggir/girscore.cpp aggir/girscore.h \
		medical_exporter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/MedicalUtils/.obj/unix/girscore.o aggir/girscore.cpp

../../build/MedicalUtils/.obj/unix/global.o: global.cpp global.h \
		medical_exporter.h \
		aggir/girscore.h \
		../translationutils/constanttranslations.h \
		../translationutils/translationutils_exporter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/MedicalUtils/.obj/unix/global.o global.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== libs/medintuxutils/Makefile ===
#############################################################################
# Makefile for building: libMedinTux.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:55 2010
# Project:  medintuxutils.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medintuxutils.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DBINARY_NAME="\"MedinTux\"" -DPACKAGE_VERSION="\"0.1.0\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/MedinTux\"" -DRELEASE -DMEDINTUX_LIBRARY -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/MedinTux/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1 -shared -Wl,-soname,libMedinTux.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lTranslationUtils -lUtils -lXext -lX11 -lm -lpthread -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/MedinTux/.obj/unix/

####### Files

SOURCES       = configuration.cpp ../../build/MedinTux/.moc/moc_configuration.cpp
OBJECTS       = ../../build/MedinTux/.obj/unix/configuration.o \
		../../build/MedinTux/.obj/unix/moc_configuration.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		../utils_dependencies.pri \
		../utils.pri \
		../medintuxutils_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		medintuxutils.pro
QMAKE_TARGET  = MedinTux
DESTDIR       = ../../bin/plugins/
TARGET        = libMedinTux.so.1.0.0
TARGETA       = ../../bin/plugins/libMedinTux.a
TARGETD       = libMedinTux.so.1.0.0
TARGET0       = libMedinTux.so
TARGET1       = libMedinTux.so.1
TARGET2       = libMedinTux.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET1)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../bin/plugins/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: medintuxutils.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		../utils_dependencies.pri \
		../utils.pri \
		../medintuxutils_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medintuxutils.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../buildspecs/config_paths.pri:
../../buildspecs/config_linux.pri:
../../config.pri:
../rpath.pri:
../libsworkbench.pri:
../translationutils.pri:
../utils_dependencies.pri:
../utils.pri:
../medintuxutils_dependencies.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medintuxutils.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../build/MedinTux/.obj/unix/MedinTux1.0.0 || $(MKDIR) ../../build/MedinTux/.obj/unix/MedinTux1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../build/MedinTux/.obj/unix/MedinTux1.0.0/ && $(COPY_FILE) --parents configuration.h medintux_exporter.h ../../build/MedinTux/.obj/unix/MedinTux1.0.0/ && $(COPY_FILE) --parents configuration.cpp ../../build/MedinTux/.obj/unix/MedinTux1.0.0/ && $(COPY_FILE) --parents /home/eric/Bureau/pack/freediams-0.4.2/global_resources/translations/medintuxtoolkit_fr.ts /home/eric/Bureau/pack/freediams-0.4.2/global_resources/translations/medintuxtoolkit_de.ts /home/eric/Bureau/pack/freediams-0.4.2/global_resources/translations/medintuxtoolkit_es.ts ../../build/MedinTux/.obj/unix/MedinTux1.0.0/ && (cd `dirname ../../build/MedinTux/.obj/unix/MedinTux1.0.0` && $(TAR) MedinTux1.0.0.tar MedinTux1.0.0 && $(COMPRESS) MedinTux1.0.0.tar) && $(MOVE) `dirname ../../build/MedinTux/.obj/unix/MedinTux1.0.0`/MedinTux1.0.0.tar.gz . && $(DEL_FILE) -r ../../build/MedinTux/.obj/unix/MedinTux1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../bin/plugins/$(TARGET) 
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0) ../../bin/plugins/$(TARGET1) ../../bin/plugins/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../../build/MedinTux/.moc/moc_configuration.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) ../../build/MedinTux/.moc/moc_configuration.cpp
../../build/MedinTux/.moc/moc_configuration.cpp: medintux_exporter.h \
		configuration.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) configuration.h -o ../../build/MedinTux/.moc/moc_configuration.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

../../build/MedinTux/.obj/unix/configuration.o: configuration.cpp configuration.h \
		medintux_exporter.h \
		../utils/log.h \
		../utils/global_exporter.h \
		../utils/global.h \
		../utils/licenseterms.h \
		../translationutils/constanttranslations.h \
		../translationutils/translationutils_exporter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/MedinTux/.obj/unix/configuration.o configuration.cpp

../../build/MedinTux/.obj/unix/moc_configuration.o: ../../build/MedinTux/.moc/moc_configuration.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/MedinTux/.obj/unix/moc_configuration.o ../../build/MedinTux/.moc/moc_configuration.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== libs/translationutils/Makefile ===
#############################################################################
# Makefile for building: libTranslationUtils.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:55 2010
# Project:  translationutils.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile translationutils.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DTRANSLATIONUTILS_LIBRARY -DBINARY_NAME="\"TranslationUtils\"" -DPACKAGE_VERSION="\"0.4.0\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/TranslationUtils\"" -DRELEASE -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/TranslationUtils/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1 -shared -Wl,-soname,libTranslationUtils.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lXext -lX11 -lm -lpthread -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/TranslationUtils/.obj/unix/

####### Files

SOURCES       = constanttranslations.cpp 
OBJECTS       = ../../build/TranslationUtils/.obj/unix/constanttranslations.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		translationutils.pro
QMAKE_TARGET  = TranslationUtils
DESTDIR       = ../../bin/plugins/
TARGET        = libTranslationUtils.so.1.0.0
TARGETA       = ../../bin/plugins/libTranslationUtils.a
TARGETD       = libTranslationUtils.so.1.0.0
TARGET0       = libTranslationUtils.so
TARGET1       = libTranslationUtils.so.1
TARGET2       = libTranslationUtils.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET1)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../bin/plugins/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: translationutils.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile translationutils.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../buildspecs/config_paths.pri:
../../buildspecs/config_linux.pri:
../../config.pri:
../rpath.pri:
../libsworkbench.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile translationutils.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../build/TranslationUtils/.obj/unix/TranslationUtils1.0.0 || $(MKDIR) ../../build/TranslationUtils/.obj/unix/TranslationUtils1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../build/TranslationUtils/.obj/unix/TranslationUtils1.0.0/ && $(COPY_FILE) --parents translationutils_exporter.h constanttranslations.h multilingualclasstemplate.h ../../build/TranslationUtils/.obj/unix/TranslationUtils1.0.0/ && $(COPY_FILE) --parents constanttranslations.cpp ../../build/TranslationUtils/.obj/unix/TranslationUtils1.0.0/ && $(COPY_FILE) --parents /home/eric/Bureau/pack/freediams-0.4.2/global_resources/translations/translationutils_fr.ts /home/eric/Bureau/pack/freediams-0.4.2/global_resources/translations/translationutils_de.ts /home/eric/Bureau/pack/freediams-0.4.2/global_resources/translations/translationutils_es.ts ../../build/TranslationUtils/.obj/unix/TranslationUtils1.0.0/ && (cd `dirname ../../build/TranslationUtils/.obj/unix/TranslationUtils1.0.0` && $(TAR) TranslationUtils1.0.0.tar TranslationUtils1.0.0 && $(COMPRESS) TranslationUtils1.0.0.tar) && $(MOVE) `dirname ../../build/TranslationUtils/.obj/unix/TranslationUtils1.0.0`/TranslationUtils1.0.0.tar.gz . && $(DEL_FILE) -r ../../build/TranslationUtils/.obj/unix/TranslationUtils1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../bin/plugins/$(TARGET) 
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0) ../../bin/plugins/$(TARGET1) ../../bin/plugins/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

../../build/TranslationUtils/.obj/unix/constanttranslations.o: constanttranslations.cpp constanttranslations.h \
		translationutils_exporter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/TranslationUtils/.obj/unix/constanttranslations.o constanttranslations.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== libs/utils/Makefile ===
#############################################################################
# Makefile for building: libUtils.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:55 2010
# Project:  utils.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile utils.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUTILS_LIBRARY -DBINARY_NAME="\"Utils\"" -DPACKAGE_VERSION="\"0.4.0\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/Utils\"" -DRELEASE -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/Utils/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1 -shared -Wl,-soname,libUtils.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lTranslationUtils -lXext -lX11 -lm -lpthread -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/Utils/.obj/unix/

####### Files

SOURCES       = global.cpp \
		database.cpp \
		log.cpp \
		updatechecker.cpp \
		messagesender.cpp \
		licenseterms.cpp \
		serializer.cpp \
		widgets/scrollingwidget.cpp \
		widgets/lineeditechoswitcher.cpp \
		widgets/QButtonLineEdit.cpp \
		widgets/colorbuttonchooser.cpp \
		widgets/spinboxdelegate.cpp \
		randomizer.cpp \
		stylehelper.cpp \
		widgets/styledbar.cpp \
		widgets/fancyactionbar.cpp \
		widgets/fancytabwidget.cpp \
		widgets/minisplitter.cpp ../../build/Utils/.moc/moc_updatechecker_p.cpp \
		../../build/Utils/.moc/moc_updatechecker.cpp \
		../../build/Utils/.moc/moc_messagesender.cpp \
		../../build/Utils/.moc/moc_scrollingwidget.cpp \
		../../build/Utils/.moc/moc_lineeditechoswitcher.cpp \
		../../build/Utils/.moc/moc_QButtonLineEdit.cpp \
		../../build/Utils/.moc/moc_QPixLineEdit.cpp \
		../../build/Utils/.moc/moc_colorbuttonchooser.cpp \
		../../build/Utils/.moc/moc_spinboxdelegate.cpp \
		../../build/Utils/.moc/moc_fancyactionbar.cpp \
		../../build/Utils/.moc/moc_fancytabwidget.cpp
OBJECTS       = ../../build/Utils/.obj/unix/global.o \
		../../build/Utils/.obj/unix/database.o \
		../../build/Utils/.obj/unix/log.o \
		../../build/Utils/.obj/unix/updatechecker.o \
		../../build/Utils/.obj/unix/messagesender.o \
		../../build/Utils/.obj/unix/licenseterms.o \
		../../build/Utils/.obj/unix/serializer.o \
		../../build/Utils/.obj/unix/scrollingwidget.o \
		../../build/Utils/.obj/unix/lineeditechoswitcher.o \
		../../build/Utils/.obj/unix/QButtonLineEdit.o \
		../../build/Utils/.obj/unix/colorbuttonchooser.o \
		../../build/Utils/.obj/unix/spinboxdelegate.o \
		../../build/Utils/.obj/unix/randomizer.o \
		../../build/Utils/.obj/unix/stylehelper.o \
		../../build/Utils/.obj/unix/styledbar.o \
		../../build/Utils/.obj/unix/fancyactionbar.o \
		../../build/Utils/.obj/unix/fancytabwidget.o \
		../../build/Utils/.obj/unix/minisplitter.o \
		../../build/Utils/.obj/unix/moc_updatechecker_p.o \
		../../build/Utils/.obj/unix/moc_updatechecker.o \
		../../build/Utils/.obj/unix/moc_messagesender.o \
		../../build/Utils/.obj/unix/moc_scrollingwidget.o \
		../../build/Utils/.obj/unix/moc_lineeditechoswitcher.o \
		../../build/Utils/.obj/unix/moc_QButtonLineEdit.o \
		../../build/Utils/.obj/unix/moc_QPixLineEdit.o \
		../../build/Utils/.obj/unix/moc_colorbuttonchooser.o \
		../../build/Utils/.obj/unix/moc_spinboxdelegate.o \
		../../build/Utils/.obj/unix/moc_fancyactionbar.o \
		../../build/Utils/.obj/unix/moc_fancytabwidget.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		../utils_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		utils.pro
QMAKE_TARGET  = Utils
DESTDIR       = ../../bin/plugins/
TARGET        = libUtils.so.1.0.0
TARGETA       = ../../bin/plugins/libUtils.a
TARGETD       = libUtils.so.1.0.0
TARGET0       = libUtils.so
TARGET1       = libUtils.so.1
TARGET2       = libUtils.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET1)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../bin/plugins/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: utils.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		../utils_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile utils.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../buildspecs/config_paths.pri:
../../buildspecs/config_linux.pri:
../../config.pri:
../rpath.pri:
../libsworkbench.pri:
../translationutils.pri:
../utils_dependencies.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile utils.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../build/Utils/.obj/unix/Utils1.0.0 || $(MKDIR) ../../build/Utils/.obj/unix/Utils1.0.0

=== plugins/fdcoreplugin/Makefile ===
#############################################################################
# Makefile for building: libCore.so
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:56 2010
# Project:  fdcoreplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile fdcoreplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DFREEDIAMS -DBINARY_NAME="\"Core\"" -DPACKAGE_VERSION="\"0.0.2\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/Core\"" -DRELEASE -DCORE_LIBRARY -DQT_NO_DEBUG -DQT_PLUGIN -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/Core/.moc -I../../build/.ui
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:$$ORIGIN/..' -Wl,-O1 -shared -Wl,-soname,libCore.so
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lAggregation -lExtensionSystem -lTranslationUtils -lUtils -lMedicalUtils -lMedinTux -lXext -lX11 -lm -lpthread -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/Core/.obj/unix/

####### Files

SOURCES       = ../coreplugin/actionmanager/command.cpp \
		../coreplugin/actionmanager/actionmanager.cpp \
		../coreplugin/actionmanager/actioncontainer.cpp \
		../coreplugin/actionmanager/mainwindowactionhandler.cpp \
		../coreplugin/contextmanager/contextmanager.cpp \
		../coreplugin/dialogs/aboutdialog.cpp \
		../coreplugin/dialogs/commonaboutpages.cpp \
		../coreplugin/dialogs/debugdialog.cpp \
		../coreplugin/dialogs/commondebugpages.cpp \
		../coreplugin/dialogs/plugindialog.cpp \
		../coreplugin/dialogs/settingsdialog.cpp \
		../coreplugin/dialogs/pluginaboutpage.cpp \
		../coreplugin/dialogs/helpdialog.cpp \
		../coreplugin/dialogs/applicationgeneralpreferences.cpp \
		../coreplugin/uniqueidmanager.cpp \
		../coreplugin/icore.cpp \
		../coreplugin/theme.cpp \
		../coreplugin/translators.cpp \
		../coreplugin/settings.cpp \
		../coreplugin/imainwindow.cpp \
		../coreplugin/filemanager.cpp \
		../coreplugin/ipatient.cpp \
		../coreplugin/iuser.cpp \
		coreplugin.cpp \
		coreimpl.cpp \
		appaboutpage.cpp \
		patient.cpp \
		commandlineparser.cpp \
		user.cpp ../../build/Core/.moc/moc_command_p.cpp \
		../../build/Core/.moc/moc_command.cpp \
		../../build/Core/.moc/moc_actionmanager_p.cpp \
		../../build/Core/.moc/moc_actionmanager.cpp \
		../../build/Core/.moc/moc_mainwindowactionhandler.cpp \
		../../build/Core/.moc/moc_contextmanager_p.cpp \
		../../build/Core/.moc/moc_contextmanager.cpp \
		../../build/Core/.moc/moc_aboutdialog.cpp \
		../../build/Core/.moc/moc_commonaboutpages.cpp \
		../../build/Core/.moc/moc_debugdialog.cpp \
		../../build/Core/.moc/moc_commondebugpages.cpp \
		../../build/Core/.moc/moc_plugindialog.cpp \
		../../build/Core/.moc/moc_settingsdialog.cpp \
		../../build/Core/.moc/moc_pluginaboutpage.cpp \
		../../build/Core/.moc/moc_helpdialog.cpp \
		../../build/Core/.moc/moc_applicationgeneralpreferences.cpp \
		../../build/Core/.moc/moc_icore.cpp \
		../../build/Core/.moc/moc_icorelistener.cpp \
		../../build/Core/.moc/moc_itheme.cpp \
		../../build/Core/.moc/moc_theme.cpp \
		../../build/Core/.moc/moc_translators.cpp \
		../../build/Core/.moc/moc_idebugpage.cpp \
		../../build/Core/.moc/moc_iaboutpage.cpp \
		../../build/Core/.moc/moc_ioptionspage.cpp \
		../../build/Core/.moc/moc_imainwindow.cpp \
		../../build/Core/.moc/moc_filemanager.cpp \
		../../build/Core/.moc/moc_ipatient.cpp \
		../../build/Core/.moc/moc_iuser.cpp \
		../../build/Core/.moc/moc_idocumentprinter.cpp \
		../../build/Core/.moc/moc_coreplugin.cpp \
		../../build/Core/.moc/moc_coreimpl.cpp \
		../../build/Core/.moc/moc_appaboutpage.cpp \
		../../build/Core/.moc/moc_patient.cpp \
		../../build/Core/.moc/moc_user.cpp
OBJECTS       = ../../build/Core/.obj/unix/command.o \
		../../build/Core/.obj/unix/actionmanager.o \
		../../build/Core/.obj/unix/actioncontainer.o \
		../../build/Core/.obj/unix/mainwindowactionhandler.o \
		../../build/Core/.obj/unix/contextmanager.o \
		../../build/Core/.obj/unix/aboutdialog.o \
		../../build/Core/.obj/unix/commonaboutpages.o \
		../../build/Core/.obj/unix/debugdialog.o \
		../../build/Core/.obj/unix/commondebugpages.o \
		../../build/Core/.obj/unix/plugindialog.o \
		../../build/Core/.obj/unix/settingsdialog.o \
		../../build/Core/.obj/unix/pluginaboutpage.o \
		../../build/Core/.obj/unix/helpdialog.o \
		../../build/Core/.obj/unix/applicationgeneralpreferences.o \
		../../build/Core/.obj/unix/uniqueidmanager.o \
		../../build/Core/.obj/unix/icore.o \
		../../build/Core/.obj/unix/theme.o \
		../../build/Core/.obj/unix/translators.o \
		../../build/Core/.obj/unix/settings.o \
		../../build/Core/.obj/unix/imainwindow.o \
		../../build/Core/.obj/unix/filemanager.o \
		../../build/Core/.obj/unix/ipatient.o \
		../../build/Core/.obj/unix/iuser.o \
		../../build/Core/.obj/unix/coreplugin.o \
		../../build/Core/.obj/unix/coreimpl.o \
		../../build/Core/.obj/unix/appaboutpage.o \
		../../build/Core/.obj/unix/patient.o \
		../../build/Core/.obj/unix/commandlineparser.o \
		../../build/Core/.obj/unix/user.o \
		../../build/Core/.obj/unix/moc_command_p.o \
		../../build/Core/.obj/unix/moc_command.o \
		../../build/Core/.obj/unix/moc_actionmanager_p.o \
		../../build/Core/.obj/unix/moc_actionmanager.o \
		../../build/Core/.obj/unix/moc_mainwindowactionhandler.o \
		../../build/Core/.obj/unix/moc_contextmanager_p.o \
		../../build/Core/.obj/unix/moc_contextmanager.o \
		../../build/Core/.obj/unix/moc_aboutdialog.o \
		../../build/Core/.obj/unix/moc_commonaboutpages.o \
		../../build/Core/.obj/unix/moc_debugdialog.o \
		../../build/Core/.obj/unix/moc_commondebugpages.o \
		../../build/Core/.obj/unix/moc_plugindialog.o \
		../../build/Core/.obj/unix/moc_settingsdialog.o \
		../../build/Core/.obj/unix/moc_pluginaboutpage.o \
		../../build/Core/.obj/unix/moc_helpdialog.o \
		../../build/Core/.obj/unix/moc_applicationgeneralpreferences.o \
		../../build/Core/.obj/unix/moc_icore.o \
		../../build/Core/.obj/unix/moc_icorelistener.o \
		../../build/Core/.obj/unix/moc_itheme.o \
		../../build/Core/.obj/unix/moc_theme.o \
		../../build/Core/.obj/unix/moc_translators.o \
		../../build/Core/.obj/unix/moc_idebugpage.o \
		../../build/Core/.obj/unix/moc_iaboutpage.o \
		../../build/Core/.obj/unix/moc_ioptionspage.o \
		../../build/Core/.obj/unix/moc_imainwindow.o \
		../../build/Core/.obj/unix/moc_filemanager.o \
		../../build/Core/.obj/unix/moc_ipatient.o \
		../../build/Core/.obj/unix/moc_iuser.o \
		../../build/Core/.obj/unix/moc_idocumentprinter.o \
		../../build/Core/.obj/unix/moc_coreplugin.o \
		../../build/Core/.obj/unix/moc_coreimpl.o \
		../../build/Core/.obj/unix/moc_appaboutpage.o \
		../../build/Core/.obj/unix/moc_patient.o \
		../../build/Core/.obj/unix/moc_user.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../fmf_plugins.pri \
		../../libs/aggregation.pri \
		../../libs/extensionsystem_dependencies.pri \
		../../libs/extensionsystem.pri \
		../../libs/translationutils.pri \
		../../libs/utils_dependencies.pri \
		../../libs/utils.pri \
		../coreplugin/coreplugin_dependencies.pri \
		../coreplugin/actionmanager/actionmanager.pri \
		../coreplugin/contextmanager/contextmanager.pri \
		../coreplugin/dialogs/dialogs.pri \
		../coreplugin/generals.pri \
		../coreplugin/common_core.pri \
		../coreplugin/coreplugin_dependencies.pri \
		../../libs/medicalutils_dependencies.pri \
		../../libs/medicalutils.pri \
		../../libs/medintuxutils_dependencies.pri \
		../../libs/medintuxutils.pri \
		fdcoreplugin_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		fdcoreplugin.pro
QMAKE_TARGET  = Core
DESTDIR       = ../../bin/plugins/
TARGET        = libCore.so
TARGETD       = libCore.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET): ../../bin/plugins/Core.pluginspec ../../build/.ui/ui_aboutdialog.h ../../build/.ui/ui_debugdialog.h ../../build/.ui/ui_settingsdialog.h ../../build/.ui/ui_applicationgeneralpreferences.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../bin/plugins/



Makefile: fdcoreplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../fmf_plugins.pri \
		../../libs/aggregation.pri \
		../../libs/extensionsystem_dependencies.pri \
		../../libs/extensionsystem.pri \
		../../libs/translationutils.pri \
		../../libs/utils_dependencies.pri \
		../../libs/utils.pri \
		../coreplugin/coreplugin_dependencies.pri \
		../coreplugin/actionmanager/actionmanager.pri \
		../coreplugin/contextmanager/contextmanager.pri \
		../coreplugin/dialogs/dialogs.pri \
		../coreplugin/generals.pri \
		../coreplugin/common_core.pri \

=== debian/changelog ===
freediams (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #588632)

 -- Andreas Tille <tille@debian.org>  Sat, 10 Jul 2010 19:03:40 +0200

=== debian/control ===
Source: freediams
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Eric Maeker <eric.maeker@free.fr>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.1), libqt4-dev (>= 4.6.2), doxygen (>= 1.5.8), libxext-dev, quilt (>= 0.47), zlib1g-dev
Standards-Version: 3.9.0
Homepage: http://www.freemedforms.com/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/freediams/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/freediams/trunk/

Package: freediams
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtcore4 (>= 4.4.3), libqtgui4 (>= 4.4.3), libqt4-sql-sqlite, libqt4-xml,
 libqt4-network, libqt4-svg, freediams-data (= ${source:Version})
Suggests: freediams-doc
Description: Pharmaceutical drugs prescriptor
 FreeDiams prescriber is the result of FreeMedForms prescriber plugins
 built into a standalone application.  It is developed by medical doctors
 and is intended for use by these same professionals. It can be used
 alone to prescribe and / or test drug interactions within a
 prescription.  It can be linked to any application thanks to its command
 line parameters.
 .
 FreeDiams can use multiple drugs database. Are currently available:
 Drugs database for Canada, the USA and for France. Only The french
 drugs database allows the calculation of drug interactions through data
 issued from the French governemental AFSSAPS.  Work is in progress to
 implement drugs interactions in all drugs databases using the ATC drug's
 molecules code.
 .
 FreeDiams can be used with GNUMed EMR, MedinTux EMR and is fully
 integrated in the FreeMedForms open source EMR.

Package: freediams-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: freediams
Description: Data for pharmaceutical drugs prescriptor FreeDiams
 FreeDiams prescriber is the result of FreeMedForms prescriber plugins
 built into a standalone application.  It is developed by medical doctors
 and is intended for use by these same professionals. It can be used
 alone to prescribe and / or test drug interactions within a
 prescription.  It can be linked to any application thanks to its command
 line parameters.
 .
 FreeDiams can use multiple drugs database. Are currently available:
 Drugs database for Canada, the USA and for France. Only The french
 drugs database allows the calculation of drug interactions through data
 issued from the French governemental AFSSAPS.  Work is in progress to
 implement drugs interactions in all drugs databases using the ATC drug's
 molecules code.
 .
 FreeDiams can be used with GNUMed EMR, MedinTux EMR and is fully
 integrated in the FreeMedForms open source EMR.
 .
 This package contains the architecture independent data.

Package: freediams-doc-en
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: freediams
Provides: freediams-doc
Description: Documentation for pharmaceutical drugs prescriptor FreeDiams
 FreeDiams prescriber is the result of FreeMedForms prescriber plugins
 built into a standalone application.  It is developed by medical doctors
 and is intended for use by these same professionals. It can be used
 alone to prescribe and / or test drug interactions within a
 prescription.  It can be linked to any application thanks to its command
 line parameters.
 .
 FreeDiams can use multiple drugs database. Are currently available:
 Drugs database for Canada, the USA and for France. Only The french
 drugs database allows the calculation of drug interactions through data
 issued from the French governemental AFSSAPS.  Work is in progress to
 implement drugs interactions in all drugs databases using the ATC drug's
 molecules code.
 .
 FreeDiams can be used with GNUMed EMR, MedinTux EMR and is fully
 integrated in the FreeMedForms open source EMR.
 .
 This package contains the English documentation of freediams.

Package: freediams-doc-fr
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: freediams
Provides: freediams-doc
Description: Documentation for pharmaceutical drugs prescriptor FreeDiams
 FreeDiams prescriber is the result of FreeMedForms prescriber plugins
 built into a standalone application.  It is developed by medical doctors
 and is intended for use by these same professionals. It can be used
 alone to prescribe and / or test drug interactions within a
 prescription.  It can be linked to any application thanks to its command
 line parameters.
 .
 FreeDiams can use multiple drugs database. Are currently available:
 Drugs database for Canada, the USA and for France. Only The french
 drugs database allows the calculation of drug interactions through data
 issued from the French governemental AFSSAPS.  Work is in progress to
 implement drugs interactions in all drugs databases using the ATC drug's
 molecules code.
 .
 FreeDiams can be used with GNUMed EMR, MedinTux EMR and is fully
 integrated in the FreeMedForms open source EMR.
 .
 This package contains the French documentation of freediams.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

override_dh_auto_configure:
	qmake-qt4 -r -config release "CONFIG+=LINUX_INTEGRATED" "INSTALL_ROOT_PATH=$(CURDIR)/debian/tmp/usr/" freediams.pro

# Upstream does not seem to provide a proper clean target - clean up here
override_dh_auto_clean:
	rm -rf bin/plugins/* bin/freediams
	find build -type d -name "\.*" -exec rm -rf \{\} \; 2> /dev/null || true
	rm -rf global_resources/doc/FreeDiams global_resources/doc/freediams/en/* global_resources/doc/freediams/fr/*
	rm -rf contrib/quazip/libz.a
	test ! -f Makefile || make distclean

override_dh_auto_install:
	make install

override_dh_install:
	# Install documentation
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/freediams/en
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/freediams/fr
	mv global_resources/doc/freediams/en/html/* $(CURDIR)/debian/tmp/usr/share/doc/freediams/en
	mv global_resources/doc/freediams/fr/html/* $(CURDIR)/debian/tmp/usr/share/doc/freediams/fr

	# Remove those Links to dynamic libraries which have no version number (this should only
	# be provided in -dev packages.  But some *.so files are real files without version number
	# FIXME
	# find $(CURDIR)/debian/tmp/usr/lib/freediams -type l -name "*.so" -exec rm -f \{\} \;

	dh_install --autodest

override_dh_shlibdeps::
	LD_LIBRARY_PATH=debian/tmp/usr/lib/freediams dh_shlibdeps -l/usr/lib/freediams

override_dh_installdeb:
	# remove extra license file
	rm -f $(CURDIR)/debian/freediams-data/usr/share/freediams/textfiles/COPYING.txt
	dh_installdeb

=== debian/watch ===
version=3

#opts=downloadurlmangle=s|.*[?]name=(.*?)&.*|http://freemedforms.googlecode.com/files/$1|,\
#filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
# http://code.google.com/p/freemedforms/downloads/detail[?]name=freediams_([0-9.]+).orig.tar.gz&.*

# rather using the redirector
http://googlecode.debian.net/p/freemedforms/freediams_(\d+.*)\.orig\.tar\.gz
